odbc_autocommit
odbc_close_all
ODBC Functions
PHP Manual

# odbc_binmode

(PHP 4, PHP 5)

odbc_binmode — Handling of binary column data

### Description

bool odbc_binmode ( resource `$result_id` , int `$mode` )

Enables handling of binary column data. ODBC SQL types affected are BINARY, VARBINARY, and LONGVARBINARY.

When binary SQL data is converted to character C data, each byte (8 bits) of source data is represented as two ASCII characters. These characters are the ASCII character representation of the number in its hexadecimal form. For example, a binary 00000001 is converted to "01" and a binary 11111111 is converted to "FF".

LONGVARBINARY handling
binmode | longreadlen | result
--- | --- | ---
ODBC_BINMODE_PASSTHRU | 0 | passthru
ODBC_BINMODE_RETURN | 0 | passthru
ODBC_BINMODE_CONVERT | 0 | passthru
ODBC_BINMODE_PASSTHRU | 0 | passthru
ODBC_BINMODE_PASSTHRU | >0 | passthru
ODBC_BINMODE_RETURN | >0 | return as is
ODBC_BINMODE_CONVERT | >0 | return as char

If odbc_fetch_into() is used, passthru means that an empty string is returned for these columns.

### Parameters

`result_id`

  The result identifier.

  If `result_id` is 0, the settings apply as default for new results.

  > Note: Default for longreadlen is 4096 and `mode` defaults to ODBC_BINMODE_RETURN. Handling of binary long columns is also affected by odbc_longreadlen().

`mode`

  Possible values for `mode` are:

  - `ODBC_BINMODE_PASSTHRU`: Passthru BINARY data
  - `ODBC_BINMODE_RETURN`: Return as is
  - `ODBC_BINMODE_CONVERT`: Convert to char and return

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

odbc_autocommit
odbc_close_all
ODBC Functions
PHP Manual